validate credentials
1 min
POST
https://api.upstartcommerce.com/v1/tax/validate-credentials
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyobjectDescription
- userNamestringrequiredDescriptionMin Length1
- passwordstringrequiredDescriptionMin Length1
- environmentstring<Production | Sandbox>requiredDescriptionAllowedProductionSandboxMin Length1
- companyCodestringrequiredDescriptionMin Length1
Responses
204
400
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/tax/validate-credentials \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"userName": "",
"password": "",
"environment": "",
"companyCode": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"userName": "",
"password": "",
"environment": "",
"companyCode": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/validate-credentials", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/validate-credentials")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"userName": "",
"password": "",
"environment": "",
"companyCode": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/validate-credentials"
payload = json.dumps({
"userName": "",
"password": "",
"environment": "",
"companyCode": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
204
// Success - credentials validated successfully.
400
// Bad Request-the request contained data that could not be processed.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.